debianize(1)

NAME
debianize - generate a Debian directory for a package

SYNOPSIS
debianize [OPTIONS] [UPSTREAM]

DESCRIPTION
This experimental command gathers information about a package and generates skeleton Debian control files for it. It will fill in the fields for which it can find a reasonable value, and leave the other fields unset.

Warning: debianize is experimental and often generates packaging that is incomplete or does not build as-is.

  positional arguments:

UPSTREAM
    URL of the upstream repository or source to package.

  optional arguments:

-h, --help
    Show this help message and exit.

--version
    Show program's version number and exit.

--directory DIR
    Directory to run in. Defaults to the current directory.

--verbose
    Be more verbose.

--debug
    Enable debug output.

--disable-net-access
    Do not probe external services.

--trust
    Whether to allow running code from the package.

--consult-external-directory
    Pull in external (not maintained by upstream) directory data.

--check
    Check guessed metadata against external sources.

--force-new-directory
    Create a new debian/ directory even if one already exists.

-x, --iterate-fix
    Invoke deb-fix-build afterwards to build package and add missing dependencies.

-i, --install
    Install package after building (implies --iterate-fix).

--session TYPE
    Session type for isolation: plain, schroot[:name], or unshare[:tarball]. Defaults to "unshare".

--build-command COMMAND
    Build command to use when --iterate-fix is active.

--max-build-iterations N
    Maximum number of build iterations when using --iterate-fix. Defaults to 50.

--dist-command COMMAND
    Command to create a source tarball. Also read from the DIST environment variable.

--debian-revision REVISION
    Debian revision for the new release. Defaults to "1".

--upstream-version VERSION
    Upstream version to package.

--dep-server-url URL
    ognibuild dep server to use. Also read from the OGNIBUILD_DEPS environment variable.

--team NAME
    Maintainer team ("$NAME <$EMAIL>").

--discard-output
    Store output in a temporary directory (just for testing).

--output-directory DIR
    Directory to store build output in.

-r, --recursive
    Attempt to package dependencies if they are not yet packaged.

--debian-branch BRANCH
    Name of Debian branch to create. Defaults to "%(vendor)s/main". Use an empty string to stay at the current branch.

--debian-binary BINARY
    Package whatever source will create the named Debian binary package.

--upstream-version-kind KIND
    What kind of release to package (e.g. "auto", "release", "snapshot"). Defaults to "auto". Conflicts with --release.

--release
    Package latest upstream release rather than a snapshot.

--requirement SPEC
    Package requirement specification (e.g., ">=1.0.0").

--buildsystem SYSTEM
    Force specific build system (override detection).

SEE ALSO
lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>